Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80186 - kernel updates and third party drivers
Summary: kernel updates and third party drivers
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-21 19:51 UTC by Michael A. Peters
Modified: 2007-03-27 03:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:18 UTC


Attachments (Terms of Use)

Description Michael A. Peters 2002-12-21 19:51:45 UTC
Description of problem:
When third party drivers such as for the nvidia nforce2 features or the nvidia
video cards are present, and the stock kernel is updated via up2date, the third
party drivers have to be manually set up for the new kernel.

Version-Release number of selected component (if applicable):
AFAIK, always.

Additional info:

What I would suggest is that Red Hat publish a guideline for vendors of third
party kernel modules.
They would put their modules in /lib/[vendor name]/[kernel version/
i.e. /lib/nvidia/2.4.18/

in the %post script of the kernel rpm, have it look for /lib/*/%{version} for
kernel modules and create the necessary symlinks in
/lib/modules/%{version}-%{release} so that the kernel modules will be available
to the patched kernel through boot scripts when it is installed.

Comment 1 Bugzilla owner 2004-09-30 15:40:18 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.